package com.ejie.ab63.model.parametros;

import java.util.Date;

import com.ejie.x38.serialization.JsonDateDeserializer;
import com.ejie.x38.serialization.JsonDateSerializer;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

/**
 * Parametros  
 * 
 *  
 */

public class Parametros implements java.io.Serializable {

	private static final long serialVersionUID = 1L;
	private Integer idParametro;
	private Integer idBusqueda;
	private String nombre;
	private String textoMostrar;
	private String valor;
	private Date fechaRegistro;
	private String usuarioRegistro;
	private Date fechaUltmodificacion;
	private String usuarioUltmodificacion;

	/**
	 * Method 'Parametros'.
	 */
	public Parametros() {
	}

	/**
	 * Method 'Parametros'.
	 * 
	 * @param idParametro
	 *            Integer
	 */
	public Parametros(Integer idParametro) {
		this.idParametro = idParametro;
	}

	/**
	 * Method 'Parametros'.
	 * 
	 * @param idParametro
	 *            Integer
	 * @param idBusqueda
	 *            Integer
	 * @param nombre
	 *            String
	 * @param textoMostrar
	 *            String
	 * @param fechaRegistro
	 *            Date
	 * @param usuarioRegistro
	 *            String
	 * @param fechaUltmodificacion
	 *            Date
	 * @param usuarioUltmodificacion
	 *            String
	 */
	public Parametros(Integer idParametro, Integer idBusqueda, String nombre, String textoMostrar, Date fechaRegistro,
			String usuarioRegistro, Date fechaUltmodificacion, String usuarioUltmodificacion) {

		this.idParametro = idParametro;
		this.idBusqueda = idBusqueda;
		this.nombre = nombre;
		this.textoMostrar = textoMostrar;
		this.fechaRegistro = fechaRegistro;
		this.usuarioRegistro = usuarioRegistro;
		this.fechaUltmodificacion = fechaUltmodificacion;
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * Method 'getIdParametro'.
	 *
	 * @return Integer
	 */

	public Integer getIdParametro() {
		return this.idParametro;
	}

	/**
	 * Method 'setIdParametro'.
	 *
	 * @param idParametro
	 *            Integer
	 * @return
	 */

	public void setIdParametro(Integer idParametro) {
		this.idParametro = idParametro;
	}

	/**
	 * Method 'getIdBusqueda'.
	 *
	 * @return Integer
	 */

	public Integer getIdBusqueda() {
		return this.idBusqueda;
	}

	/**
	 * Method 'setIdBusqueda'.
	 *
	 * @param idBusqueda
	 *            Integer
	 * @return
	 */

	public void setIdBusqueda(Integer idBusqueda) {
		this.idBusqueda = idBusqueda;
	}

	/**
	 * Method 'getNombre'.
	 *
	 * @return String
	 */

	public String getNombre() {
		return this.nombre;
	}

	/**
	 * Method 'setNombre'.
	 *
	 * @param nombre
	 *            String
	 * @return
	 */

	public void setNombre(String nombre) {
		this.nombre = nombre;
	}

	/**
	 * Method 'getTextoMostrar'.
	 *
	 * @return String
	 */

	public String getTextoMostrar() {
		return this.textoMostrar;
	}

	/**
	 * Method 'setTextoMostrar'.
	 *
	 * @param textoMostrar
	 *            String
	 * @return
	 */

	public void setTextoMostrar(String textoMostrar) {
		this.textoMostrar = textoMostrar;
	}

	/**
	 * Method 'getFechaRegistro'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaRegistro() {
		return this.fechaRegistro;
	}

	/**
	 * Method 'setFechaRegistro'.
	 *
	 * @param fechaRegistro
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaRegistro(Date fechaRegistro) {
		this.fechaRegistro = fechaRegistro;
	}

	/**
	 * Method 'getUsuarioRegistro'.
	 *
	 * @return String
	 */

	public String getUsuarioRegistro() {
		return this.usuarioRegistro;
	}

	/**
	 * Method 'setUsuarioRegistro'.
	 *
	 * @param usuarioRegistro
	 *            String
	 * @return
	 */

	public void setUsuarioRegistro(String usuarioRegistro) {
		this.usuarioRegistro = usuarioRegistro;
	}

	/**
	 * Method 'getFechaUltmodificacion'.
	 *
	 * @return java.util.Date
	 */

	@JsonSerialize(using = JsonDateSerializer.class)
	public Date getFechaUltmodificacion() {
		return this.fechaUltmodificacion;
	}

	/**
	 * Method 'setFechaUltmodificacion'.
	 *
	 * @param fechaUltmodificacion
	 *            java.util.Date
	 * @return
	 */
	@JsonDeserialize(using = JsonDateDeserializer.class)
	public void setFechaUltmodificacion(Date fechaUltmodificacion) {
		this.fechaUltmodificacion = fechaUltmodificacion;
	}

	/**
	 * Method 'getUsuarioUltmodificacion'.
	 *
	 * @return String
	 */

	public String getUsuarioUltmodificacion() {
		return this.usuarioUltmodificacion;
	}

	/**
	 * Method 'setUsuarioUltmodificacion'.
	 *
	 * @param usuarioUltmodificacion
	 *            String
	 * @return
	 */

	public void setUsuarioUltmodificacion(String usuarioUltmodificacion) {
		this.usuarioUltmodificacion = usuarioUltmodificacion;
	}

	/**
	 * @return the valor
	 */
	public String getValor() {
		return valor;
	}

	/**
	 * @param valor
	 *            the valor to set
	 */
	public void setValor(String valor) {
		this.valor = valor;
	}

	/**
	 * Intended only for logging and debugging.
	 * 
	 * Here, the contents of every main field are placed into the result.
	 * 
	 * @return String
	 */
	@Override
	public String toString() {
		StringBuilder result = new StringBuilder();
		result.append(this.getClass().getName()).append(" Object { ");
		result.append(" [ idParametro: ").append(this.idParametro).append(" ]");
		result.append(", [ idBusqueda: ").append(this.idBusqueda).append(" ]");
		result.append(", [ nombre: ").append(this.nombre).append(" ]");
		result.append(", [ textoMostrar: ").append(this.textoMostrar).append(" ]");
		result.append(", [ fechaRegistro: ").append(this.fechaRegistro).append(" ]");
		result.append(", [ usuarioRegistro: ").append(this.usuarioRegistro).append(" ]");
		result.append(", [ fechaUltmodificacion: ").append(this.fechaUltmodificacion).append(" ]");
		result.append(", [ usuarioUltmodificacion: ").append(this.usuarioUltmodificacion).append(" ]");
		result.append("}");
		return result.toString();
	}

}
